Subject: Re: bug#13028: inplace

From: Ruediger Meier <[email-masked]>
Date: Thu, 29 Nov 2012 16:32:25 +0100

On Thursday 29 November 2012, Reuben Thomas wrote:
> On Fri, 14 May 2004 15:53:04 +0600 (YEKST), Victor Porton offered his
> handy "inplace" script to coreutils, which runs a filter on a file
> in-place. A couple of replies said there was no need for this as one
> could do in-place editing with perl or sed, but I think that was
> misguided, as the point of inplace is that it works with any filter.
> I just used it with xml_grep:
>
> inplace "xml_grep --exclude 'ul[@class=\"toc\"]' \"\$IN\" >
> \"\$OUT\"" "$book.xhtml"
>
> I attach an updated version of inplace with some bashisms and typos
> fixed.

You may also have a look at sponge from moreutils project
http://linux.die.net/man/1/sponge
http://joeyh.name/code/moreutils/

cu,
Rudi